Package be.fgov.ehealth.commons.core.v2

# Class StatusCode

java.lang.Object
be.fgov.ehealth.commons.core.v2.StatusCode

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class StatusCode extends Object implements Serializable
URI code of the status

Java class for StatusCodeType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusCodeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:core:v2}StatusCode" minOccurs="0"/>
           </sequence>
           <attribute name="Value" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusCode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StatusCode`
  `getStatusCode()`
  Gets the value of the statusCode property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setStatusCode(StatusCode value)`
  Sets the value of the statusCode property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatusCode

    public StatusCode()

- ## Method Details

  - ### getStatusCode

    public StatusCode getStatusCode()
    Gets the value of the statusCode property.
    Returns:
      possible object is `StatusCode`

  - ### setStatusCode

    public void setStatusCode(StatusCode value)
    Sets the value of the statusCode property.
    Parameters:
      `value` - allowed object is `StatusCode`

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`